Debian Bug report logs - #200215
perl: test failures on mips

version graph

Package: glibc; Maintainer for glibc is (unknown);

Reported by: Adrian Bunk <bunk@fs.tum.de>

Date: Sun, 6 Jul 2003 11:33:02 UTC

Severity: serious

Tags: patch, sarge, sid

Merged with 217593

Fixed in version glibc/2.3.2.ds1-8

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#200215; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: perl: test failures on mips
Date: Sun, 06 Jul 2003 13:20:58 +0200
Package: perl
Version: 5.8.0-18
Severity: serious


buildd.debian.org lists the fllowing build error on mips:

<--  snip  -->

...
make[2]: Entering directory `/build/buildd/perl-5.8.0'
if (true </dev/tty) >/dev/null 2>&1; then \
  /usr/bin/make TEST_ARGS= TESTFILE=TEST _test_tty   ; \
else \
  /usr/bin/make TEST_ARGS= TESTFILE=TEST _test_notty ; \
fi
make[3]: Entering directory `/build/buildd/perl-5.8.0'
cd t &&   PERL_SKIP_TTY_TEST=1 ./perl TEST
ext/IPC/SysV/ipcsysv.................FAILED at test 0
ext/IPC/SysV/t/msg...................FAILED at test 0
...
lib/IPC/SysV.........................FAILED at test 0
...
Failed 3 test scripts out of 683, 99.56% okay.
...
make[3]: *** [_test_notty] Error 1
make[3]: Leaving directory `/build/buildd/perl-5.8.0'
make[2]: *** [_test] Error 2
make[2]: Leaving directory `/build/buildd/perl-5.8.0'
make[1]: *** [test] Error 2
make[1]: Leaving directory `/build/buildd/perl-5.8.0'
make: *** [perl.static] Error 2

<--  snip  -->







Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#200215; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Drew Scott Daniels <umdanie8@cc.UManitoba.CA>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #10 received at 200215@bugs.debian.org (full text, mbox):

From: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>
To: 200215@bugs.debian.org
Subject: some debug info... gdb and strace broken on casals?
Date: Wed, 3 Sep 2003 10:03:25 -0500 (CDT)
Fwiw:

On Tue, 2 Sep 2003, Colin Watson wrote:

> > Have you had any luck figuring out why recent perl uploads FTBFS on mips?
>
> No. Sorry. I could've sworn I'd mailed a report of how far I'd got
> somewhere, but can't find it in my mail archives just now. Inserting a
> no-op PerlIO_printf(Perl_error_log, "") before the point of the crash in
> doio.c seemed to "fix" it, which points to dodgy memory handling
> elsewhere or something; don't have enough mips expertise to follow
> through properly though, and gdb and strace being semi-broken on
> casals.debian.org really doesn't help. Feel free to quote this wherever.

     Drew Daniels




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#200215; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Brendan O'Dea <bod@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 200215@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>, 200215@bugs.debian.org
Cc: Colin Watson <cjwatson@debian.org>, Ryan Murray <rmurray@debian.org>
Subject: Re: Bug#200215: some debug info... gdb and strace broken on casals?
Date: Mon, 8 Sep 2003 08:22:44 +1000
[Message part 1 (text/plain, inline)]
On Wed, Sep 03, 2003 at 10:03:25AM -0500, Drew Scott Daniels wrote:
>On Tue, 2 Sep 2003, Colin Watson wrote:
>
>> > Have you had any luck figuring out why recent perl uploads FTBFS on mips?
>>
>> No. Sorry. I could've sworn I'd mailed a report of how far I'd got
>> somewhere, but can't find it in my mail archives just now. Inserting a
>> no-op PerlIO_printf(Perl_error_log, "") before the point of the crash in
>> doio.c seemed to "fix" it, which points to dodgy memory handling
>> elsewhere or something; don't have enough mips expertise to follow
>> through properly though, and gdb and strace being semi-broken on
>> casals.debian.org really doesn't help. Feel free to quote this wherever.

I've managed to get a smallish test case for this bug (which appears to
be kernel/gcc/libc related).

Running the attached code (~bod/m.c) in the unstable chroot on casals
produces:

  ipcstat -> 1062972649 message(s)

The expected output was 1 message.  If you look at the ipcs output you
get the same value for messages:

  key        msqid      owner      perms      used-bytes   messages    
  0x00000000 524288     bod        700        0            1062972649  

Note also used-bytes == 0.  What's particularly odd is that on exiting
the chroot and running ipcs (in the native, stable environment)
produces:

  key        msqid      owner      perms      used-bytes   messages    
  0x00000000 524288     bod        700        13           1           

which is more like what was expected.  However re-running the program
there still produces garbage:

  ipcstat -> 1062972833 message(s)

even though ipcs reports sane values.

  0x00000000 557057     bod        700        13           1           

Re-compiling and running the test program outside the chroot produces:

  ipcstat -> 1 message(s)

In summary, it appears that there are issues with msgctl when compiled
in the unstable enviornment.  Absolutely no clue why.

--bod
[m.c (text/x-csrc, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#200215; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Drew Scott Daniels <umdanie8@cc.UManitoba.CA>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #20 received at 200215@bugs.debian.org (full text, mbox):

From: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>
To: "Brendan O'Dea" <bod@debian.org>
Cc: 200215@bugs.debian.org, Colin Watson <cjwatson@debian.org>, Ryan Murray <rmurray@debian.org>
Subject: Re: Bug#200215: some debug info... gdb and strace broken on casals?
Date: Tue, 9 Sep 2003 15:11:06 -0500 (CDT)
On Mon, 8 Sep 2003, Brendan O'Dea wrote:

> In summary, it appears that there are issues with msgctl when compiled
> in the unstable enviornment.  Absolutely no clue why.
>
What kernel? Linuxhq has a little bit of info on msgctl, but not much. I
must confess I don't know too much about it myself. Time for tags +help
and maybe asking some other developers? Maybe Herbert Xu, the kernel
maintainer, or the mips buildd/port team might know?

     Drew Daniels




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#200215; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #25 received at 200215@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
To: Brendan O'Dea <bod@debian.org>
Cc: 200215@bugs.debian.org, Drew Scott Daniels <umdanie8@cc.UManitoba.CA>, Colin Watson <cjwatson@debian.org>, Ryan Murray <rmurray@debian.org>, debian-mips@lists.debian.org
Subject: Re: Bug#200215: some debug info... gdb and strace broken on casals?
Date: Thu, 18 Sep 2003 14:38:45 +0200
reassign 200215 glibc
tags 200215 +patch, +sid, +sarge
thanks


Brendan O'Dea wrote:
>On Wed, Sep 03, 2003 at 10:03:25AM -0500, Drew Scott Daniels wrote:
>>On Tue, 2 Sep 2003, Colin Watson wrote:
>>
>>> > Have you had any luck figuring out why recent perl uploads FTBFS on mips?
>>>
>>> No. Sorry. I could've sworn I'd mailed a report of how far I'd got
>>> somewhere, but can't find it in my mail archives just now. Inserting a
>>> no-op PerlIO_printf(Perl_error_log, "") before the point of the crash in
>>> doio.c seemed to "fix" it, which points to dodgy memory handling
>>> elsewhere or something; don't have enough mips expertise to follow
>>> through properly though, and gdb and strace being semi-broken on
>>> casals.debian.org really doesn't help. Feel free to quote this wherever.
>
> I've managed to get a smallish test case for this bug (which appears to
> be kernel/gcc/libc related).

It is a glibc bug. The 'struct msqid_ds' definition doesn't match the
kernel one. I believe the appended patch fixes it, but haven't tested
it yet.

Btw, this means IPC is mostly broken ATM, which is probably causing
those autobuilder timeouts. I observe hanging make processes eating
cpu time on unstable.


Thiemo


2003-09-18  Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>

	* sysdeps/unix/sysv/linux/mips/bits/msq.h (msqid_ds): Add missing
	padding.


Index: sysdeps/unix/sysv/linux/mips/bits/msq.h
===================================================================
RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/mips/bits/msq.h,v
retrieving revision 1.1
diff -u -p -r1.1 msq.h
--- sysdeps/unix/sysv/linux/mips/bits/msq.h     26 Aug 2002 01:49:55 -0000      1.1
+++ sysdeps/unix/sysv/linux/mips/bits/msq.h     18 Sep 2003 10:24:45 -0000
@@ -39,15 +39,24 @@ struct msqid_ds
 {
   struct ipc_perm msg_perm;    /* structure describing operation permission */
   __time_t msg_stime;          /* time of last msgsnd command */
+#if __WORDSIZE == 32
+  unsigned long int __unused1;
+#endif
   __time_t msg_rtime;          /* time of last msgrcv command */
+#if __WORDSIZE == 32
+  unsigned long int __unused2;
+#endif
   __time_t msg_ctime;          /* time of last change */
+#if __WORDSIZE == 32
+  unsigned long int __unused3;
+#endif
   unsigned long int __msg_cbytes; /* current number of bytes on queue */
   msgqnum_t msg_qnum;          /* number of messages currently on queue */
   msglen_t msg_qbytes;         /* max number of bytes allowed on queue */
   __pid_t msg_lspid;           /* pid of last msgsnd() */
   __pid_t msg_lrpid;           /* pid of last msgrcv() */
-  unsigned long int __unused1;
-  unsigned long int __unused2;
+  unsigned long int __unused4;
+  unsigned long int __unused5;
 };

 #ifdef __USE_MISC



Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#200215; Package perl. Full text and rfc822 format available.

Acknowledgement sent to rmurray@cyberhqz.com (Ryan Murray):
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #30 received at 200215@bugs.debian.org (full text, mbox):

From: rmurray@cyberhqz.com (Ryan Murray)
To: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Cc: Brendan O'Dea <bod@debian.org>, 200215@bugs.debian.org, Drew Scott Daniels <umdanie8@cc.UManitoba.CA>, Colin Watson <cjwatson@debian.org>, debian-mips@lists.debian.org, ralf@gnu.org
Subject: Re: Bug#200215: some debug info... gdb and strace broken on casals?
Date: Thu, 18 Sep 2003 08:20:28 -0700
On Thu, Sep 18, 2003 at 02:38:45PM +0200, Thiemo Seufer wrote:
> Brendan O'Dea wrote:
> >On Wed, Sep 03, 2003 at 10:03:25AM -0500, Drew Scott Daniels wrote:
> >>On Tue, 2 Sep 2003, Colin Watson wrote:
> >>
> >>> > Have you had any luck figuring out why recent perl uploads FTBFS on mips?
> >>>
> >>> No. Sorry. I could've sworn I'd mailed a report of how far I'd got
> >>> somewhere, but can't find it in my mail archives just now. Inserting a
> >>> no-op PerlIO_printf(Perl_error_log, "") before the point of the crash in
> >>> doio.c seemed to "fix" it, which points to dodgy memory handling
> >>> elsewhere or something; don't have enough mips expertise to follow
> >>> through properly though, and gdb and strace being semi-broken on
> >>> casals.debian.org really doesn't help. Feel free to quote this wherever.
> >
> > I've managed to get a smallish test case for this bug (which appears to
> > be kernel/gcc/libc related).
> 
> It is a glibc bug. The 'struct msqid_ds' definition doesn't match the
> kernel one. I believe the appended patch fixes it, but haven't tested
> it yet.
> 
> Btw, this means IPC is mostly broken ATM, which is probably causing
> those autobuilder timeouts. I observe hanging make processes eating
> cpu time on unstable.

It has nothing to do with buildd timeouts.

> 2003-09-18  Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>
> 
> 	* sysdeps/unix/sysv/linux/mips/bits/msq.h (msqid_ds): Add missing
> 	padding.
> 
> 
> Index: sysdeps/unix/sysv/linux/mips/bits/msq.h
> ===================================================================
> RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/mips/bits/msq.h,v
> retrieving revision 1.1
> diff -u -p -r1.1 msq.h
> --- sysdeps/unix/sysv/linux/mips/bits/msq.h     26 Aug 2002 01:49:55 -0000      1.1
> +++ sysdeps/unix/sysv/linux/mips/bits/msq.h     18 Sep 2003 10:24:45 -0000
> @@ -39,15 +39,24 @@ struct msqid_ds
>  {
>    struct ipc_perm msg_perm;    /* structure describing operation permission */
>    __time_t msg_stime;          /* time of last msgsnd command */
> +#if __WORDSIZE == 32
> +  unsigned long int __unused1;
> +#endif
>    __time_t msg_rtime;          /* time of last msgrcv command */
> +#if __WORDSIZE == 32
> +  unsigned long int __unused2;
> +#endif
>    __time_t msg_ctime;          /* time of last change */
> +#if __WORDSIZE == 32
> +  unsigned long int __unused3;
> +#endif
>    unsigned long int __msg_cbytes; /* current number of bytes on queue */
>    msgqnum_t msg_qnum;          /* number of messages currently on queue */
>    msglen_t msg_qbytes;         /* max number of bytes allowed on queue */
>    __pid_t msg_lspid;           /* pid of last msgsnd() */
>    __pid_t msg_lrpid;           /* pid of last msgrcv() */
> -  unsigned long int __unused1;
> -  unsigned long int __unused2;
> +  unsigned long int __unused4;
> +  unsigned long int __unused5;
>  };
> 
>  #ifdef __USE_MISC

The minimum kernel version needs to be raised to 2.4.19 for this change,
as the structure changed in kernel space between 2.4.18 and 2.4.19, causing
the problem.

-- 
Ryan Murray, Debian Developer (rmurray@cyberhqz.com, rmurray@debian.org)
The opinions expressed here are my own.



Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#200215; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Ralf Baechle <ralf@linux-mips.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #35 received at 200215@bugs.debian.org (full text, mbox):

From: Ralf Baechle <ralf@linux-mips.org>
To: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>, "Brendan O'Dea" <bod@debian.org>, 200215@bugs.debian.org, Drew Scott Daniels <umdanie8@cc.UManitoba.CA>, Colin Watson <cjwatson@debian.org>, debian-mips@lists.debian.org, Atsushi Nemoto <anemo@mba.ocn.ne.jp>
Subject: Re: Bug#200215: some debug info... gdb and strace broken on casals?
Date: Fri, 19 Sep 2003 20:33:06 +0200
On Thu, Sep 18, 2003 at 08:20:28AM -0700, Ryan Murray wrote:

> > It is a glibc bug. The 'struct msqid_ds' definition doesn't match the
> > kernel one. I believe the appended patch fixes it, but haven't tested
> > it yet.
> > 
> > Btw, this means IPC is mostly broken ATM, which is probably causing
> > those autobuilder timeouts. I observe hanging make processes eating
> > cpu time on unstable.
> 
> It has nothing to do with buildd timeouts.
> 
> > 2003-09-18  Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>
> > 
> > 	* sysdeps/unix/sysv/linux/mips/bits/msq.h (msqid_ds): Add missing
> > 	padding.
> > 
> > 
> > Index: sysdeps/unix/sysv/linux/mips/bits/msq.h
> > ===================================================================
> > RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/mips/bits/msq.h,v
> > retrieving revision 1.1
> > diff -u -p -r1.1 msq.h
> > --- sysdeps/unix/sysv/linux/mips/bits/msq.h     26 Aug 2002 01:49:55 -0000      1.1
> > +++ sysdeps/unix/sysv/linux/mips/bits/msq.h     18 Sep 2003 10:24:45 -0000
> > @@ -39,15 +39,24 @@ struct msqid_ds
> >  {
> >    struct ipc_perm msg_perm;    /* structure describing operation permission */
> >    __time_t msg_stime;          /* time of last msgsnd command */
> > +#if __WORDSIZE == 32
> > +  unsigned long int __unused1;
> > +#endif
> >    __time_t msg_rtime;          /* time of last msgrcv command */
> > +#if __WORDSIZE == 32
> > +  unsigned long int __unused2;
> > +#endif
> >    __time_t msg_ctime;          /* time of last change */
> > +#if __WORDSIZE == 32
> > +  unsigned long int __unused3;
> > +#endif
> >    unsigned long int __msg_cbytes; /* current number of bytes on queue */
> >    msgqnum_t msg_qnum;          /* number of messages currently on queue */
> >    msglen_t msg_qbytes;         /* max number of bytes allowed on queue */
> >    __pid_t msg_lspid;           /* pid of last msgsnd() */
> >    __pid_t msg_lrpid;           /* pid of last msgrcv() */
> > -  unsigned long int __unused1;
> > -  unsigned long int __unused2;
> > +  unsigned long int __unused4;
> > +  unsigned long int __unused5;
> >  };
> > 
> >  #ifdef __USE_MISC
> 
> The minimum kernel version needs to be raised to 2.4.19 for this change,
> as the structure changed in kernel space between 2.4.18 and 2.4.19, causing
> the problem.

The original reason for the kernel change was a bug report from Atushi
Nemoto about a mismatch of the and libc msqid_ds.  It seems there are
already libcs with this patch in circulation which at least Atushi and
me seemed to have; I don't know why this isn't in the official libc ...

Adding Atushi to the cc list; maybe he can shed some light on this.

  Ralf



Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#200215; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Atsushi Nemoto <anemo@mba.ocn.ne.jp>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #40 received at 200215@bugs.debian.org (full text, mbox):

From: Atsushi Nemoto <anemo@mba.ocn.ne.jp>
To: ralf@linux-mips.org
Cc: ica2_ts@csv.ica.uni-stuttgart.de, bod@debian.org, 200215@bugs.debian.org, umdanie8@cc.UManitoba.CA, cjwatson@debian.org, debian-mips@lists.debian.org
Subject: Re: Bug#200215: some debug info... gdb and strace broken on casals?
Date: Sat, 20 Sep 2003 20:31:03 +0900 (JST)
>>>>> On Fri, 19 Sep 2003 20:33:06 +0200, Ralf Baechle <ralf@linux-mips.org> said:
ralf> The original reason for the kernel change was a bug report from
ralf> Atushi Nemoto about a mismatch of the and libc msqid_ds.  It
ralf> seems there are already libcs with this patch in circulation
ralf> which at least Atushi and me seemed to have; I don't know why
ralf> this isn't in the official libc ...

Recent kernel header and official glibc 2.2.5 does not have the
mismatch.

But glibc 2.3.2 contains mips-specific msq.h which has this mismatch.
I do not know why the file was added.  64bit ABI support?

---
Atsushi Nemoto



Bug reassigned from package `perl' to `glibc'. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#200215; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Ralf Baechle <ralf@linux-mips.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #51 received at 200215@bugs.debian.org (full text, mbox):

From: Ralf Baechle <ralf@linux-mips.org>
To: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>, "Brendan O'Dea" <bod@debian.org>, 200215@bugs.debian.org, Drew Scott Daniels <umdanie8@cc.UManitoba.CA>, Colin Watson <cjwatson@debian.org>, debian-mips@lists.debian.org, Atsushi Nemoto <anemo@mba.ocn.ne.jp>
Subject: Re: Bug#200215: some debug info... gdb and strace broken on casals?
Date: Thu, 2 Oct 2003 18:45:34 +0200
On Fri, Sep 19, 2003 at 08:33:06PM +0200, Ralf Baechle wrote:

> The original reason for the kernel change was a bug report from Atushi
> Nemoto about a mismatch of the and libc msqid_ds.  It seems there are
> already libcs with this patch in circulation which at least Atushi and
> me seemed to have; I don't know why this isn't in the official libc ...
> 
> Adding Atushi to the cc list; maybe he can shed some light on this.

Since I haven't heared back yet, time to poke the dead horse again ;-)

So basically I like Thiemo's suggestion for the fix.  But - the purpose
of the three unused 32-bit fields in struct msgid64_ds is dealing with
the year 2038 problem.  So maybe we should reorder fields like:

[...]
#if defined(CONFIG_MIPS32) && !defined(CONFIG_CPU_LITTLE_ENDIAN)
	unsigned long	__unused1;
	__kernel_time_t	msg_stime;
#else if defined(CONFIG_MIPS32) && defined(CONFIG_CPU_LITTLE_ENDIAN)
	__kernel_time_t	msg_stime;
	unsigned long	__unused1;
#else
	__kernel_time_t	msg_stime;
#endif
[...]

?

That would eventually permit extending fields to 64-bit and take care of
endianess issues.

Comments?

  Ralf



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#200215; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #56 received at 200215@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
To: Ralf Baechle <ralf@linux-mips.org>
Cc: Brendan O'Dea <bod@debian.org>, 200215@bugs.debian.org, Drew Scott Daniels <umdanie8@cc.UManitoba.CA>, Colin Watson <cjwatson@debian.org>, debian-mips@lists.debian.org, Atsushi Nemoto <anemo@mba.ocn.ne.jp>
Subject: Re: Bug#200215: some debug info... gdb and strace broken on casals?
Date: Tue, 7 Oct 2003 20:39:48 +0200
Ralf Baechle wrote:
[snip]
> So basically I like Thiemo's suggestion for the fix.  But - the purpose
> of the three unused 32-bit fields in struct msgid64_ds is dealing with
> the year 2038 problem.  So maybe we should reorder fields like:
> 
> [...]
> #if defined(CONFIG_MIPS32) && !defined(CONFIG_CPU_LITTLE_ENDIAN)
> 	unsigned long	__unused1;
> 	__kernel_time_t	msg_stime;
> #else if defined(CONFIG_MIPS32) && defined(CONFIG_CPU_LITTLE_ENDIAN)
> 	__kernel_time_t	msg_stime;
> 	unsigned long	__unused1;
> #else
> 	__kernel_time_t	msg_stime;
> #endif
> [...]
> 
> ?

This looks good for the kernel side.

> That would eventually permit extending fields to 64-bit and take care of
> endianess issues.
> 
> Comments?

I missed the other endianness. Appended is the version needed for glibc.


Thiemo


2003-10-07  Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>

	* sysdeps/unix/sysv/linux/mips/bits/msq.h (msqid_ds): Add missing
	padding.


Index: sysdeps/unix/sysv/linux/mips/bits/msq.h
===================================================================
RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/mips/bits/msq.h,v
retrieving revision 1.1
diff -a -d -u -p -r1.1 msq.h
--- sysdeps/unix/sysv/linux/mips/bits/msq.h	26 Aug 2002 01:49:55 -0000	1.1
+++ sysdeps/unix/sysv/linux/mips/bits/msq.h	7 Oct 2003 18:30:30 -0000
@@ -38,16 +38,34 @@ typedef unsigned long int msglen_t;
 struct msqid_ds
 {
   struct ipc_perm msg_perm;	/* structure describing operation permission */
+#if __WORDSIZE == 32 && defined (__MIPSEB__)
+  unsigned long int __unused1;
+#endif
   __time_t msg_stime;		/* time of last msgsnd command */
+#if __WORDSIZE == 32 && defined (__MIPSEL__)
+  unsigned long int __unused1;
+#endif
+#if __WORDSIZE == 32 && defined (__MIPSEB__)
+  unsigned long int __unused2;
+#endif
   __time_t msg_rtime;		/* time of last msgrcv command */
+#if __WORDSIZE == 32 && defined (__MIPSEL__)
+  unsigned long int __unused2;
+#endif
+#if __WORDSIZE == 32 && defined (__MIPSEB__)
+  unsigned long int __unused3;
+#endif
   __time_t msg_ctime;		/* time of last change */
+#if __WORDSIZE == 32 && defined (__MIPSEL__)
+  unsigned long int __unused3;
+#endif
   unsigned long int __msg_cbytes; /* current number of bytes on queue */
   msgqnum_t msg_qnum;		/* number of messages currently on queue */
   msglen_t msg_qbytes;		/* max number of bytes allowed on queue */
   __pid_t msg_lspid;		/* pid of last msgsnd() */
   __pid_t msg_lrpid;		/* pid of last msgrcv() */
-  unsigned long int __unused1;
-  unsigned long int __unused2;
+  unsigned long int __unused4;
+  unsigned long int __unused5;
 };
 
 #ifdef __USE_MISC



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#200215; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Ralf Baechle <ralf@linux-mips.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #61 received at 200215@bugs.debian.org (full text, mbox):

From: Ralf Baechle <ralf@linux-mips.org>
To: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Cc: "Brendan O'Dea" <bod@debian.org>, 200215@bugs.debian.org, Drew Scott Daniels <umdanie8@cc.UManitoba.CA>, Colin Watson <cjwatson@debian.org>, debian-mips@lists.debian.org, Atsushi Nemoto <anemo@mba.ocn.ne.jp>
Subject: Re: Bug#200215: some debug info... gdb and strace broken on casals?
Date: Tue, 7 Oct 2003 22:37:20 +0200
On Tue, Oct 07, 2003 at 08:39:48PM +0200, Thiemo Seufer wrote:
> Date: Tue, 7 Oct 2003 20:39:48 +0200
> To: Ralf Baechle <ralf@linux-mips.org>
> Cc: Brendan O'Dea <bod@debian.org>, 200215@bugs.debian.org,
> 	Drew Scott Daniels <umdanie8@cc.UManitoba.CA>,
> 	Colin Watson <cjwatson@debian.org>,
> 	debian-mips@lists.debian.org, Atsushi Nemoto <anemo@mba.ocn.ne.jp>
> Subject: Re: Bug#200215: some debug info... gdb and strace broken on casals?
> Content-Type: text/plain; charset=us-ascii
> From: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
> 
> Ralf Baechle wrote:
> [snip]
> > So basically I like Thiemo's suggestion for the fix.  But - the purpose
> > of the three unused 32-bit fields in struct msgid64_ds is dealing with
> > the year 2038 problem.  So maybe we should reorder fields like:
> > 
> > [...]
> > #if defined(CONFIG_MIPS32) && !defined(CONFIG_CPU_LITTLE_ENDIAN)
> > 	unsigned long	__unused1;
> > 	__kernel_time_t	msg_stime;
> > #else if defined(CONFIG_MIPS32) && defined(CONFIG_CPU_LITTLE_ENDIAN)
> > 	__kernel_time_t	msg_stime;
> > 	unsigned long	__unused1;
> > #else
> > 	__kernel_time_t	msg_stime;
> > #endif
> > [...]
> > 
> > ?
> 
> This looks good for the kernel side.
> 
> > That would eventually permit extending fields to 64-bit and take care of
> > endianess issues.
> > 
> > Comments?
> 
> I missed the other endianness. Appended is the version needed for glibc.

Okay, I suggest you send this patch to Uli for libc and I'll prepare a
patch for the kernel, will post here later.

... unless anybdy thinks this patch is going to cause breakage that should
be avoided.  We could be more graceful about compatibility but at least
form my perspective that's not really worth the effort.  Last chance to
complain :-)

  Ralf



Tags added: patch Request was from "Ryan Murray" <rmurray@cyberhqz.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 200215 217593. Request was from Brendan O'Dea <bod@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adrian Bunk <bunk@fs.tum.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #70 received at 200215-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 200215-close@bugs.debian.org
Subject: Bug#200215: fixed in glibc 2.3.2.ds1-8
Date: Thu, 30 Oct 2003 12:19:19 -0500
Source: glibc
Source-Version: 2.3.2.ds1-8

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.3.2.ds1-8_all.deb
  to pool/main/g/glibc/glibc-doc_2.3.2.ds1-8_all.deb
glibc_2.3.2.ds1-8.diff.gz
  to pool/main/g/glibc/glibc_2.3.2.ds1-8.diff.gz
glibc_2.3.2.ds1-8.dsc
  to pool/main/g/glibc/glibc_2.3.2.ds1-8.dsc
libc-udeb_2.3.2.ds1-8_alpha.udeb
  to pool/main/g/glibc/libc-udeb_2.3.2.ds1-8_alpha.udeb
libc-udeb_2.3.2.ds1-8_arm.udeb
  to pool/main/g/glibc/libc-udeb_2.3.2.ds1-8_arm.udeb
libc-udeb_2.3.2.ds1-8_hppa.udeb
  to pool/main/g/glibc/libc-udeb_2.3.2.ds1-8_hppa.udeb
libc-udeb_2.3.2.ds1-8_i386.udeb
  to pool/main/g/glibc/libc-udeb_2.3.2.ds1-8_i386.udeb
libc-udeb_2.3.2.ds1-8_ia64.udeb
  to pool/main/g/glibc/libc-udeb_2.3.2.ds1-8_ia64.udeb
libc-udeb_2.3.2.ds1-8_m68k.udeb
  to pool/main/g/glibc/libc-udeb_2.3.2.ds1-8_m68k.udeb
libc-udeb_2.3.2.ds1-8_powerpc.udeb
  to pool/main/g/glibc/libc-udeb_2.3.2.ds1-8_powerpc.udeb
libc-udeb_2.3.2.ds1-8_s390.udeb
  to pool/main/g/glibc/libc-udeb_2.3.2.ds1-8_s390.udeb
libc6-dbg_2.3.2.ds1-8_arm.deb
  to pool/main/g/glibc/libc6-dbg_2.3.2.ds1-8_arm.deb
libc6-dbg_2.3.2.ds1-8_hppa.deb
  to pool/main/g/glibc/libc6-dbg_2.3.2.ds1-8_hppa.deb
libc6-dbg_2.3.2.ds1-8_i386.deb
  to pool/main/g/glibc/libc6-dbg_2.3.2.ds1-8_i386.deb
libc6-dbg_2.3.2.ds1-8_m68k.deb
  to pool/main/g/glibc/libc6-dbg_2.3.2.ds1-8_m68k.deb
libc6-dbg_2.3.2.ds1-8_powerpc.deb
  to pool/main/g/glibc/libc6-dbg_2.3.2.ds1-8_powerpc.deb
libc6-dbg_2.3.2.ds1-8_s390.deb
  to pool/main/g/glibc/libc6-dbg_2.3.2.ds1-8_s390.deb
libc6-dev-s390x_2.3.2.ds1-8_s390.deb
  to pool/main/g/glibc/libc6-dev-s390x_2.3.2.ds1-8_s390.deb
libc6-dev_2.3.2.ds1-8_arm.deb
  to pool/main/g/glibc/libc6-dev_2.3.2.ds1-8_arm.deb
libc6-dev_2.3.2.ds1-8_hppa.deb
  to pool/main/g/glibc/libc6-dev_2.3.2.ds1-8_hppa.deb
libc6-dev_2.3.2.ds1-8_i386.deb
  to pool/main/g/glibc/libc6-dev_2.3.2.ds1-8_i386.deb
libc6-dev_2.3.2.ds1-8_m68k.deb
  to pool/main/g/glibc/libc6-dev_2.3.2.ds1-8_m68k.deb
libc6-dev_2.3.2.ds1-8_powerpc.deb
  to pool/main/g/glibc/libc6-dev_2.3.2.ds1-8_powerpc.deb
libc6-dev_2.3.2.ds1-8_s390.deb
  to pool/main/g/glibc/libc6-dev_2.3.2.ds1-8_s390.deb
libc6-i686_2.3.2.ds1-8_i386.deb
  to pool/main/g/glibc/libc6-i686_2.3.2.ds1-8_i386.deb
libc6-pic_2.3.2.ds1-8_arm.deb
  to pool/main/g/glibc/libc6-pic_2.3.2.ds1-8_arm.deb
libc6-pic_2.3.2.ds1-8_hppa.deb
  to pool/main/g/glibc/libc6-pic_2.3.2.ds1-8_hppa.deb
libc6-pic_2.3.2.ds1-8_i386.deb
  to pool/main/g/glibc/libc6-pic_2.3.2.ds1-8_i386.deb
libc6-pic_2.3.2.ds1-8_m68k.deb
  to pool/main/g/glibc/libc6-pic_2.3.2.ds1-8_m68k.deb
libc6-pic_2.3.2.ds1-8_powerpc.deb
  to pool/main/g/glibc/libc6-pic_2.3.2.ds1-8_powerpc.deb
libc6-pic_2.3.2.ds1-8_s390.deb
  to pool/main/g/glibc/libc6-pic_2.3.2.ds1-8_s390.deb
libc6-prof_2.3.2.ds1-8_arm.deb
  to pool/main/g/glibc/libc6-prof_2.3.2.ds1-8_arm.deb
libc6-prof_2.3.2.ds1-8_hppa.deb
  to pool/main/g/glibc/libc6-prof_2.3.2.ds1-8_hppa.deb
libc6-prof_2.3.2.ds1-8_i386.deb
  to pool/main/g/glibc/libc6-prof_2.3.2.ds1-8_i386.deb
libc6-prof_2.3.2.ds1-8_m68k.deb
  to pool/main/g/glibc/libc6-prof_2.3.2.ds1-8_m68k.deb
libc6-prof_2.3.2.ds1-8_powerpc.deb
  to pool/main/g/glibc/libc6-prof_2.3.2.ds1-8_powerpc.deb
libc6-prof_2.3.2.ds1-8_s390.deb
  to pool/main/g/glibc/libc6-prof_2.3.2.ds1-8_s390.deb
libc6-s390x_2.3.2.ds1-8_s390.deb
  to pool/main/g/glibc/libc6-s390x_2.3.2.ds1-8_s390.deb
libc6.1-dbg_2.3.2.ds1-8_alpha.deb
  to pool/main/g/glibc/libc6.1-dbg_2.3.2.ds1-8_alpha.deb
libc6.1-dbg_2.3.2.ds1-8_ia64.deb
  to pool/main/g/glibc/libc6.1-dbg_2.3.2.ds1-8_ia64.deb
libc6.1-dev_2.3.2.ds1-8_alpha.deb
  to pool/main/g/glibc/libc6.1-dev_2.3.2.ds1-8_alpha.deb
libc6.1-dev_2.3.2.ds1-8_ia64.deb
  to pool/main/g/glibc/libc6.1-dev_2.3.2.ds1-8_ia64.deb
libc6.1-pic_2.3.2.ds1-8_alpha.deb
  to pool/main/g/glibc/libc6.1-pic_2.3.2.ds1-8_alpha.deb
libc6.1-pic_2.3.2.ds1-8_ia64.deb
  to pool/main/g/glibc/libc6.1-pic_2.3.2.ds1-8_ia64.deb
libc6.1-prof_2.3.2.ds1-8_alpha.deb
  to pool/main/g/glibc/libc6.1-prof_2.3.2.ds1-8_alpha.deb
libc6.1-prof_2.3.2.ds1-8_ia64.deb
  to pool/main/g/glibc/libc6.1-prof_2.3.2.ds1-8_ia64.deb
libc6.1_2.3.2.ds1-8_alpha.deb
  to pool/main/g/glibc/libc6.1_2.3.2.ds1-8_alpha.deb
libc6.1_2.3.2.ds1-8_ia64.deb
  to pool/main/g/glibc/libc6.1_2.3.2.ds1-8_ia64.deb
libc6_2.3.2.ds1-8_arm.deb
  to pool/main/g/glibc/libc6_2.3.2.ds1-8_arm.deb
libc6_2.3.2.ds1-8_hppa.deb
  to pool/main/g/glibc/libc6_2.3.2.ds1-8_hppa.deb
libc6_2.3.2.ds1-8_i386.deb
  to pool/main/g/glibc/libc6_2.3.2.ds1-8_i386.deb
libc6_2.3.2.ds1-8_m68k.deb
  to pool/main/g/glibc/libc6_2.3.2.ds1-8_m68k.deb
libc6_2.3.2.ds1-8_powerpc.deb
  to pool/main/g/glibc/libc6_2.3.2.ds1-8_powerpc.deb
libc6_2.3.2.ds1-8_s390.deb
  to pool/main/g/glibc/libc6_2.3.2.ds1-8_s390.deb
locales_2.3.2.ds1-8_all.deb
  to pool/main/g/glibc/locales_2.3.2.ds1-8_all.deb
nscd_2.3.2.ds1-8_alpha.deb
  to pool/main/g/glibc/nscd_2.3.2.ds1-8_alpha.deb
nscd_2.3.2.ds1-8_arm.deb
  to pool/main/g/glibc/nscd_2.3.2.ds1-8_arm.deb
nscd_2.3.2.ds1-8_hppa.deb
  to pool/main/g/glibc/nscd_2.3.2.ds1-8_hppa.deb
nscd_2.3.2.ds1-8_i386.deb
  to pool/main/g/glibc/nscd_2.3.2.ds1-8_i386.deb
nscd_2.3.2.ds1-8_ia64.deb
  to pool/main/g/glibc/nscd_2.3.2.ds1-8_ia64.deb
nscd_2.3.2.ds1-8_m68k.deb
  to pool/main/g/glibc/nscd_2.3.2.ds1-8_m68k.deb
nscd_2.3.2.ds1-8_powerpc.deb
  to pool/main/g/glibc/nscd_2.3.2.ds1-8_powerpc.deb
nscd_2.3.2.ds1-8_s390.deb
  to pool/main/g/glibc/nscd_2.3.2.ds1-8_s390.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 200215@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 28 Oct 2003 18:29:09 -0500
Source: glibc
Binary: libc6-sparc64 libc1-dbg libc6.1 libc-udeb libc1-prof libc6.1-dbg libc1-pic libc0.3-pic nscd libc6-dev-s390x libc0.3 libc6-pic libc6 libc6-dev libc6-sparcv9 libc6-s390x libc6.1-dev glibc-doc libc6.1-prof libc0.3-prof libc1 libc6-i686 locales libc0.3-dbg libc1-dev libc6-dev-sparc64 libc6-prof libc6.1-pic libc0.3-dev libc6-dbg
Architecture: all alpha arm hppa i386 ia64 m68k powerpc s390 source 
Version: 2.3.2.ds1-8
Distribution: unstable
Urgency: low
Maintainer: Jeff Bailey <jbailey@nisa.net>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libc-udeb  - GNU C Library: Shared libraries and Timezone data - udeb (udeb)
 libc6.1    - GNU C Library: Shared libraries and Timezone data
 libc6.1-dbg - GNU C Library: Libraries with debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files.
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries.
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 165374 200215 212224 212224 215010 215012 215273 217593 217865
Changes: 
 glibc (2.3.2.ds1-8) unstable; urgency=low
 .
   * Daniel Jacobowitz <dan@debian.org>
 .
     - Don't use --enable-omitfp since we don't install libc_g.a.
     - Enable NPTL for S/390.
     - Fix the /lib/ld64.so.1 symlink for s390x.
     - Update maintainer scripts for fixes lost in the rewrite.
     - Enable NPTL for ia64.  Thanks to Ian Wienand for testing.
     - Automatically cross-compile if the kernel is too old to build
       an optimized library.
     - Do not run make check if cross compiling.
     - Fix msqid_ds on MIPS.  Dpatch from Guido Guenther, patch by
       Thiemo Seufer (Closes: #215273, #200215, #217593).
     - Check for old copies of glibc in a couple of places (Closes: #212224).
     - Fix a libio compatibility code bug which crashed the Citrix client
       (glibc23-libio-compat.dpatch).
     - Remove fuzzy markers from fr.po.  Patch from Denis Barbier
       <barbier@debian.org> (Closes: #217865).
     - Re-add debian/patches/80_glibc232-locales-nb_NO-fix.dpatch, which had
       gotten lost.
     - Re-add typo fixes to iconv.1 and rpcgen.1.
     - Merge iconv.1 fix to iconv.pod.
     - Re-add fix for locale-gen and POSIXLY_CORRECT.
     - Update ldso-disable-hwcap.dpatch and preinst/postinst scripts.
     - Update maintainer scripts not to use basename; dpkg invokes the
       scripts as tmp.ci/postinst, not libc6.postinst.
     - Add a patch for building shlib.lds which fixes a parse error when
       building without an existing -dev package installed.
       - debian/patches/11_shlib-lds.dpatch
 .
   * Jeff Bailey <jbailey@nisa.net>
 .
     - debian/sysdeps/linux.mk: Use getconf _NPROCESSORS_ONLN instead
       of /proc/cpuinfo to calculate NJOBS.  The cpuinfo file format
       is not consistent between arch's.
     - debian/.cvsignore: New file.
 .
   * GOTO Masanori <gotom@debian.org>
 .
     - debian/debhelper.in/locales.dirs: Add /usr/lib/locale, because
       localedef stops to create locale data if this dir is not found.
     - debian/debhelper.in/libc-otherbuild.preinst: Fix typo which
       disturbs to install libc-otherbuild package.
     - Dan's checking code for old copies in libc6 preinst fixes
       installation breakage for example /usr/lib/debug is in
       /etc/ld.so.conf, or so on.
       (Closes: #165374, #212224).
     - debhelper.in/libc.preinst: add kernel version sanity check for
       sun4m arch which needs at least 2.4.21 due to hardware multiplication
       instruction is used by default.  (Closes: #215010, #215012)
     - debian/debhelper.in/libc.preinst: fix check_dirs return value.
Files: 
 00c77fc921198b4b2ca566bdc0f9c3db 1921662 libdevel standard libc6-dev_2.3.2.ds1-8_powerpc.deb
 06830e355422f2b24d198407c2083a61 952908 libs extra libc6-i686_2.3.2.ds1-8_i386.deb
 0e88803a23804a536a1c441a8cdacc7e 821582 libdevel optional libc6-pic_2.3.2.ds1-8_m68k.deb
 118650eac762b55d6fd541568a347bb4 9619494 libdevel extra libc6-dbg_2.3.2.ds1-8_i386.deb
 19ab40a398ff99ed0c4cd2deb240e017 82780 admin optional nscd_2.3.2.ds1-8_arm.deb
 2171d77e9b71529f8a4d3560daa1604b 950674 debian-installer required libc-udeb_2.3.2.ds1-8_powerpc.udeb
 24cf8169e57eaa4ef9be9e4fa621aa30 1852409 libs required glibc_2.3.2.ds1-8.diff.gz
 274a3bca08d07dbd30a37a8d2fa1af56 1234430 libdevel optional libc6-pic_2.3.2.ds1-8_s390.deb
 2b380a3e22a0cc196284d1d8a351c964 1395170 libdevel standard libc6-dev_2.3.2.ds1-8_m68k.deb
 2bd90c3e5f93a3e5077052de4430e39c 1057858 libdevel extra libc6-prof_2.3.2.ds1-8_i386.deb
 2c34e2c7fc87becb951d0741baca7785 931036 libdevel extra libc6-prof_2.3.2.ds1-8_m68k.deb
 2dc94a021c277830c4a06bab57d0dddf 904796 debian-installer required libc-udeb_2.3.2.ds1-8_arm.udeb
 2e1d1ab4345a3a97abd0fcf6da0c1315 6183890 base required libc6.1_2.3.2.ds1-8_ia64.deb
 2f6ac3f6d7876360edf23ab7c1c1fbaf 1057626 debian-installer required libc-udeb_2.3.2.ds1-8_ia64.udeb
 3094960e600192dce18c4fe64343c565 1516844 libdevel extra libc6-prof_2.3.2.ds1-8_hppa.deb
 33e3a8d1bcd57a76b47a755b5733308a 1018106 libdevel optional libc6-pic_2.3.2.ds1-8_i386.deb
 35198538b4f4c798b33f6d32e0355cae 715320 debian-installer required libc-udeb_2.3.2.ds1-8_i386.udeb
 3792410012717a783aa74fb137528bc9 86150 admin optional nscd_2.3.2.ds1-8_hppa.deb
 3b83fd396b87741835eadfce2f0b8f21 1331838 libdevel extra libc6-prof_2.3.2.ds1-8_s390.deb
 3cdd2dbecb9965833f3981ee48f161f5 4189712 base required libc6_2.3.2.ds1-8_powerpc.deb
 44c123c44190f6e79c1fecf36cd57b5d 1726776 libdevel extra libc6.1-prof_2.3.2.ds1-8_alpha.deb
 464f24f602441e4e2d23c9b203357e5e 3247804 base required libc6-s390x_2.3.2.ds1-8_s390.deb
 47615d699e89a434234c4329563c0682 8687256 libdevel extra libc6-dbg_2.3.2.ds1-8_hppa.deb
 48007b6aa748503ad1c3b9f36323a5d7 1554898 libdevel standard libc6-dev_2.3.2.ds1-8_i386.deb
 4eed9e285af5496b82d9b72e261ff4c0 3832882 doc optional glibc-doc_2.3.2.ds1-8_all.deb
 56c5a127c4e4c8a1e9b62ec350013f6d 2175306 libdevel standard libc6.1-dev_2.3.2.ds1-8_ia64.deb
 58a627bcfc9a8876f0cf79dcb824f74d 1067066 debian-installer required libc-udeb_2.3.2.ds1-8_alpha.udeb
 5ee5438c90315b4f271bd4bf632ae137 1019636 debian-installer required libc-udeb_2.3.2.ds1-8_hppa.udeb
 62b260c1a24e1ecdfbf40f63a5e2dd31 11214390 libdevel extra libc6-dbg_2.3.2.ds1-8_arm.deb
 6399b66da5a8a002550aacf8bcd3e43e 4035408 base required libc6_2.3.2.ds1-8_arm.deb
 68c09fa2393d2de6a63e042271da00ee 1427286 libdevel optional libc6.1-pic_2.3.2.ds1-8_ia64.deb
 691ad13d3e9f68bad2fd5729786db020 3667370 base required libc6_2.3.2.ds1-8_m68k.deb
 6f22ae12f8b009c205705f97fd2fa846 1821600 libdevel standard libc6-dev_2.3.2.ds1-8_arm.deb
 75d65f13990d450e53fc7ff92121e64f 84168 admin optional nscd_2.3.2.ds1-8_s390.deb
 7641acae899ebf2c21e01304bcaf771f 960514 debian-installer required libc-udeb_2.3.2.ds1-8_s390.udeb
 77a9dc80918271764170fbe6496ad35c 4333952 base required libc6_2.3.2.ds1-8_hppa.deb
 7df8118c0a4998074f1ce5f40d40fd68 3924044 base standard locales_2.3.2.ds1-8_all.deb
 848b12e60f63edfd2b90208edba8689a 1362252 libdevel optional libc6-pic_2.3.2.ds1-8_hppa.deb
 86f190dd1d45d252f65e3a2f068cf787 83378 admin optional nscd_2.3.2.ds1-8_i386.deb
 886851bd1d668bfb5553fc35779e2985 88254 admin optional nscd_2.3.2.ds1-8_alpha.deb
 89055aa901ede656bc99615ca6760aed 92492 admin optional nscd_2.3.2.ds1-8_ia64.deb
 9a8ad2afa09ea44cf3a96fb6da67f87c 1493186 libdevel optional libc6.1-pic_2.3.2.ds1-8_alpha.deb
 9b6808d83cb2b7dedf4eff23f579a820 80958 admin optional nscd_2.3.2.ds1-8_m68k.deb
 9d212d0d2fd07c73e0efde641807d08d 1992360 libdevel standard libc6-dev_2.3.2.ds1-8_hppa.deb
 a41c04256ce9070b328abafa5d806897 1253886 libdevel optional libc6-pic_2.3.2.ds1-8_powerpc.deb
 abdb83877959b53fa6c2d8f05fc98567 8797076 libdevel extra libc6-dbg_2.3.2.ds1-8_powerpc.deb
 acffc45d4ca42cc693f077631b4dd33a 8230696 libdevel extra libc6-dbg_2.3.2.ds1-8_m68k.deb
 babeaa0421737ede63b2354902d585d2 83748 admin optional nscd_2.3.2.ds1-8_powerpc.deb
 bd46d3b79b94c639ce3daa7f96672cbb 1563 libs required glibc_2.3.2.ds1-8.dsc
 c23df7d0d75b47790ecab4a56ba7339a 2209098 libdevel standard libc6.1-dev_2.3.2.ds1-8_alpha.deb
 c2f2ea6c4897d94808e4c88d890b9357 4869072 base required libc6_2.3.2.ds1-8_i386.deb
 c5c43c85749c4d9be1c3377438566edb 1713534 libdevel extra libc6.1-prof_2.3.2.ds1-8_ia64.deb
 d680d93190f143b01b760b0b2ec41d6f 1807322 libdevel standard libc6-dev_2.3.2.ds1-8_s390.deb
 dfd99b4420784657c468f1a12851a8f7 9436702 libdevel extra libc6-dbg_2.3.2.ds1-8_s390.deb
 e0cc6d97229f8ec577db0f28390b3732 1467640 libdevel extra libc6-prof_2.3.2.ds1-8_powerpc.deb
 e4c8e3c7634f72b92e278a47b14b5de6 1445668 libdevel standard libc6-dev-s390x_2.3.2.ds1-8_s390.deb
 e576ebbee70916c481959f5a817cfd5b 5396546 base required libc6_2.3.2.ds1-8_s390.deb
 ea72e10c552a67ed51e626d02c272fdc 8706814 libdevel extra libc6.1-dbg_2.3.2.ds1-8_alpha.deb
 ecd5bb472f968d323f7f2058b19985e5 1339562 libdevel extra libc6-prof_2.3.2.ds1-8_arm.deb
 ed7b0e5cd8cda7b94a7377dc0bff69b0 9250536 libdevel extra libc6.1-dbg_2.3.2.ds1-8_ia64.deb
 ef4fa64e9b1263def32f7cf7089f3a12 587986 debian-installer required libc-udeb_2.3.2.ds1-8_m68k.udeb
 efe14b649e1038cc31d3f1d11eab5e52 4363868 base required libc6.1_2.3.2.ds1-8_alpha.deb
 f2dd0db70613475a523db0aa2cff99b3 1277484 libdevel optional libc6-pic_2.3.2.ds1-8_arm.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/oUM3bgOPXuCjg3cRAmHGAJ0QO+jmL+lY/j5l4qH7EQ4vVjG/dgCcCn73
hPlspjJSLjI7ue5HHJDaXR4=
=95eC
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 13:10:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.